const OracleService = require('../service/OracleService');

class adqVerifLogSincDlvModel {
  constructor() {
    this.GET_ADQVERIFLOGSINCDLV = `
            SELECT CDFILIAL,CDLOJA,NRVENDARESTAUX,DTHRABERMESA
              FROM LOGSINCDLV
             WHERE CDFILIAL    = :P_CDFILIAL
               AND CDLOJA    = :P_CDLOJA
               AND NRVENDARESTAUX = :P_NRVENDARESTAUX
               AND DTHRABERMESA= TIMESTAMP :P_DTHRABERMESA
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFLOGSINCDLV, params);
    });
  }
}

module.exports = new adqVerifLogSincDlvModel();
