const OracleService = require('../service/OracleService');

class acmDelItComandaPendModel {
  constructor() {
    this.GET_ACMDELITCOMANDAPEND = `
            DELETE FROM ITCOMANDAPEND
               WHERE (NOT (INSTR(:P_NAODELETA, CDFILIAL||CDLOJA||NRVENDARESTPEND||NRCOMANDAPEND||NRPRODCOMVENPEN) > 0))
               AND (INSTR(:P_FILILOJA, CDFILIAL||CDLOJA) > 0)
        `;
  }

  get(params, connection) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ACMDELITCOMANDAPEND, params, [], false, connection);
    });
  }
}

module.exports = new acmDelItComandaPendModel();
