
const OracleService = require('../service/OracleService')

class acmUpdCaixaModel {
    constructor() {
        this.GET_ACMUPDCAIXA = `
            UPDATE
               CAIXA
            SET
               IDPRIMVEZEXPON = 'N'
            WHERE
               (CDFILIAL = :P_CDFILIAL) AND
               (CDCAIXA  = :P_CDCAIXA ) AND
               (IDPRIMVEZEXPON = 'S'  )
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMUPDCAIXA, params);
        })
    }
}  

module.exports = new acmUpdCaixaModel();