
const OracleService = require('../service/OracleService')

class acmUpdNrSeqVendaModel {
    constructor() {
        this.GET_ACMUPDNRSEQVENDA = `
            UPDATE MOVCAIXA
               SET NRSEQVENDA = :NRSEQVENDA
             WHERE CDFILIAL   = :CDFILIAL
               AND CDCAIXA    = :CDCAIXA
               AND DTABERCAIX = :DTABERCAIX
               AND NRSEQUMOVI = :NRSEQUMOVI
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMUPDNRSEQVENDA, params);
        })
    }
}  

module.exports = new acmUpdNrSeqVendaModel();