const OracleService = require('../service/OracleService');

class adqSrvExtratoConsModel {
  constructor() {
    this.GET_ADQSRVEXTRATOCONS = `
            SELECT
               *
            FROM
               EXTRATOCONS
            WHERE
             CDCLIENTE    = :P_CDCLIENTE
               AND CDCONSUMIDOR = :P_CDCONSUMIDOR
               AND CDFAMILISALD = :P_CDFAMILISALD
               AND DTMOVEXTCONS = TIMESTAMP :P_DTMOVEXTCONS
               AND NRSEQMOVEXT  = :P_NRSEQMOVEXT
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQSRVEXTRATOCONS, params);
    });
  }
}

module.exports = new adqSrvExtratoConsModel();
