const OracleService = require("../service/OracleService");

class adqVerifLogNfceModel {
  constructor() {
    this.GET_ADQVERIFLOGNFCEMODEL = `
        SELECT L.CDFILIAL, L.CDCAIXA, L.NRSEQVENDA, L.NRSEQLOGNFCE
          FROM LOGNFCE L, VENDA V
         WHERE L.CDFILIAL = V.CDFILIAL
           AND L.CDCAIXA = V.CDCAIXA
           AND L.NRSEQVENDA = V.NRSEQVENDA
           AND V.CDFILIAL = :P_CDFILIAL
           AND V.CDCAIXA = :P_CDCAIXA
           AND V.NRSEQVENDAMSDE = :P_NRSEQVENDA
           AND V.DTABERTUR = :P_DTABERTUR
           AND L.NRSEQLOGNFCEMSDE = :P_NRSEQLOGNFCE
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFLOGNFCEMODEL, params);
    });
  }
}

module.exports = new adqVerifLogNfceModel();
