
const OracleService = require('../service/OracleService')

class adqVerificaCDSERIECXModel {
    constructor() {
        this.GET_ADQVERIFICACDSERIECX = `
            SELECT CDSERIECX 
               FROM CAIXA
            WHERE CDFILIAL = :P_CDFILIAL
            AND CDCAIXA = :P_CDCAIXA
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFICACDSERIECX, params);
        })
    }
}  

module.exports = new adqVerificaCDSERIECXModel();